Subject: Re: sym scsi driver problem with 2.6.26 or newer debian kernel on p610 (fwd)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 23 Jun 2009 12:30:18 +1000

On Tue, 2009-06-23 at 11:18 +1000, Benjamin Herrenschmidt wrote:
> On Mon, 2009-06-22 at 11:10 +0200, Laszlo Fekete wrote:
> > Hello!
> > 
> > Is there any idea for the solution?
> 
> Hard to tell yet. Looks indeed like something is wrong with the
> interrupt controller.
> 
> Any chance you can bisect that ? I'll also have a look on my side,
> it's definitely not something obvious.

I tried on a POWER3 box I have here "IBM,7044-170" and things work fine
here with current upstream. (I suspect a much smaller machine).

I will really need an actual bisection here... In the meantime, I'll see
if I can get my hand on one of these machines here.

Cheers,
Ben.

> Cheers,
> Ben.
> 
> > Thanks: blackluck
> > 
> > Laszlo Fekete wrote:
> > > Hello!
> > >
> > > I'm sorry about the annoyances, but I'd welcome all ideas, suggestions 
> > > to see what needs to be done or should be tested for the solution.
> > >
> > > Thank you very much!
> > >
> > > Guennadi Liakhovetski wrote:
> > >> Ok, first attempt to forward this to scsi was wrong, as pointed out 
> > >> by Matthew Wilcox this does indeed look like an interrupt problem - 
> > >> no interrupts drom SCSI, IDE, keyboar. Might be a known problem, I 
> > >> guess. In any case, I think, the OP would be grateful for any hints.
> > >>
> > >> Thanks
> > >> Guennadi
> > >> ---
> > >> Guennadi Liakhovetski, Ph.D.
> > >> Freelance Open-Source Software Developer
> > >> http://www.open-technology.de/
> > >>
> > >> ---------- Forwarded message ----------
> > >> Date: Sat, 13 Jun 2009 16:22:07 +0200
> > >> From: Laszlo Fekete <[email-masked]>
> > >> To: [email-masked]
> > >> Subject: sym scsi driver problem with 2.6.26 or newer debian kernel 
> > >> on p610
> > >> Resent-Date: Sat, 13 Jun 2009 14:29:55 +0000 (UTC)
> > >> Resent-From: [email-masked]
> > >>
> > >> This is a multi-part message in MIME format.
> > >> ------------------------------------------------------------------------
> > >>
> > >> Hello!
> > >>
> > >>
> > >>
> > >>
> > >>
> > >> Pls help me with sym scsi driver problem.
> > >>
> > >>
> > >>
> > >> I have Ibm P610 (and tested it on P630 and P640 too), installed debian
> > >>
> > >> etch and upgraded to lenny.
> > >>
> > >>
> > >>
> > >> But with 2.6.26 or newer kernel it's not booting, it's hang on sym scsi
> > >>
> > >> bus scan.
> > >>
> > >>
> > >>
> > >>
> > >>
> > >> Whats the problem with it, or how can I fix this?
> > >>
> > >>
> > >>
> > >>
> > >>
> > >> I attach the output from minicom with 2.6.29, 2.6.26, and the working
> > >>
> > >> 2.6.24 kernel booting.
> > >>
> > >>
> > >>
> > >>
> > >>
> > >> Thank you very much!
> > >>
> > >>
> > >>   
> > >
> > >
> > 
> > _______________________________________________
> > Linuxppc-dev mailing list
> > [email-masked]
> > https://lists.ozlabs.org/listinfo/linuxppc-dev
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev